Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkSetOfAnnotationPropertiesElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler<C>
                  org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler<R>
                      org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler<SetOfX<O>>
                          org.semanticweb.owlapi.owllink.parser.AbstractSetOfOWLObjectResponseElementHandler<OWLAnnotationProperty>
                              org.semanticweb.owlapi.owllink.parser.OWLlinkSetOfAnnotationPropertiesElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<SetOfX<OWLAnnotationProperty>>, OWLlinkResponseElementHandler<SetOfX<OWLAnnotationProperty>>

    public class OWLlinkSetOfAnnotationPropertiesElementHandler

extends AbstractSetOfOWLObjectResponseElementHandler<OWLAnnotationProperty>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 22.10.2009

Field Summary

Fields inherited from class org.semanticweb.owlapi.owllink.parser.AbstractSetOfOWLObjectResponseElementHandler
`elements`

Constructor Summary
`OWLlinkSetOfAnnotationPropertiesElementHandler(OWLXMLParserHandler handler)`

Method Summary
`void` | `endElement()`
`SetOfAnnotationProperties` | `getOWLLinkObject()`
`void` | `handleChild(OWLAnnotationPropertyElementHandler handler)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractSetOfOWLObjectResponseElementHandler
`startElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler
`getRequest`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler
`attribute`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLlinkSetOfAnnotationPropertiesElementHandler

    public OWLlinkSetOfAnnotationPropertiesElementHandler(OWLXMLParserHandler handler)

Method Detail

### getOWLLinkObject

    public SetOfAnnotationProperties getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<SetOfX<OWLAnnotationProperty>>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<SetOfX<OWLAnnotationProperty>>`

### endElement

    public void endElement()
                    throws OWLXMLParserException

  Overrides:
    `endElement` in class `AbstractOWLlinkResponseElementHandler<SetOfX<OWLAnnotationProperty>>`
  Throws:
    `OWLXMLParserException`

### handleChild

    public void handleChild(OWLAnnotationPropertyElementHandler handler)
                     throws OWLXMLParserException

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<SetOfX<OWLAnnotationProperty>>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<SetOfX<OWLAnnotationProperty>>`
  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD